Bug 219783 - "Add wrapped jar dialog" is unclear
"Add wrapped jar dialog" is unclear
Status: RESOLVED FIXED
Product: apisupport
Classification: Unclassified
Component: Project
7.3
PC Windows 7
: P4 (vote)
: 8.0
Assigned To: Martin Kozeny
issues@apisupport
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-09 20:50 UTC by thilob
Modified: 2013-11-30 04:30 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description thilob 2012-10-09 20:50:23 UTC
Assuming you have a Netbeans module and add a wrapped jar, the dialog gives you the option to reference the file as a relative or absolute path.

In fact the jar is copied into the release/libs folder of the module. 
The option to select a relative or absolute path is IMO useless as it makes the user think a link to the jar will be created (remember, instead of that the jar is just copied once as described above).

Any chance to hide this options in the mentioned dialog?
Comment 1 Martin Kozeny 2013-11-29 13:36:19 UTC
https://hg.netbeans.org/core-main/rev/9fb076c438c0
Comment 2 Quality Engineering 2013-11-30 04:30:21 UTC
Integrated into 'main-silver', will be available in build *201311300002* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/9fb076c438c0
User: Martin Kozeny <mkozeny@netbeans.org>
Log: #219783: "Add wrapped jar dialog" is unclear.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo